Page MenuHomePhabricator

CU 2.0: Pagination in the compare tab
Closed, ResolvedPublic3 Estimated Story Points

Description

Goal

We can expect the returned resultset for the Preliminary check and Compare tabs to be fairly large so we should paginate the results. Filters, highlights, sorting will need to work across the paginated tabs/results. In our estimation meeting we decided to go with server-side pagination for now and iterate to build client-side pagination if we feel we need it.

Acceptance criteria
  • Results in the compare tab appear paginated with the highlights, filters and sorting working as selected by the user
    • If the filters, highlights and sorting gets built after, we can split that bit into a new task - T237300, T238809, T237299

Event Timeline

Niharika triaged this task as Medium priority.Nov 21 2019, 1:20 AM
Niharika created this task.
Niharika moved this task from Untriaged to Cards ready to be discussed on the Anti-Harassment board.
Niharika renamed this task from CU 2.0: Pagination in the preliminary check and compare tabs to CU 2.0: Pagination in the compare tab.Nov 22 2019, 6:40 PM
Niharika updated the task description. (Show Details)
Niharika updated the task description. (Show Details)Dec 10 2019, 7:18 PM
Niharika updated the task description. (Show Details)
Niharika set the point value for this task to 3.Dec 10 2019, 7:22 PM
dmaza claimed this task.Jan 21 2020, 4:25 PM

Change 571626 had a related patch set uploaded (by Dmaza; owner: Dmaza):
[mediawiki/extensions/CheckUser@master] Add compare tab to Special:Investigate

https://gerrit.wikimedia.org/r/571626

Change 571626 merged by jenkins-bot:
[mediawiki/extensions/CheckUser@master] Add compare tab to Special:Investigate

https://gerrit.wikimedia.org/r/571626

@Niharika The default limit is decided by user preferences in Special:Preferences > Recent changes. We could override that default - is the 100 figure important?

@Niharika The default limit is decided by user preferences in Special:Preferences > Recent changes. We could override that default - is the 100 figure important?

No, it's not. Let's go with the default.

Niharika updated the task description. (Show Details)Feb 19 2020, 5:04 AM
dom_walden added a subscriber: dom_walden.
  • Results in the compare tab appear paginated with the highlights, filters and sorting working as selected by the user

Obviously there is no highlighting, filtering etc. to test yet.

But, I could test the pagination functionality on preliminary check and compare and that all the correct rows are returned (nothing missing or duplicated across pages).

You are not always going to get the full number of rows on each page if, for example, the last page less rows than the limit. Similarly, if you click "Last page" and click through "Previous page" until you get to the first page, you may have less than the limit.

Version: MediaWiki 1.35.0-alpha (7deb1cf), CheckUser 2.5 (fc9c7f5) 08:38, 21 February 2020 (this is the version with David's latest, not yet merged, patch T239680#5881677. I wanted to test the very latest version as I believe the tokens are part of how the pagination works).

Thanks @dom_walden

You are not always going to get the full number of rows on each page if, for example, the last page less rows than the limit. Similarly, if you click "Last page" and click through "Previous page" until you get to the first page, you may have less than the limit.

Just noting for posterity that this is an oddity of the IndexPager in general.

Niharika closed this task as Resolved.Feb 21 2020, 8:01 PM